kpty-devel-5.57.0-1.1.i586.rpm


Advertisement

Description

kpty-devel - Development files for kpty, a pseudo terminal device interface

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename kpty-devel-5.57.0-1.1.i586.rpm
Package name kpty-devel
Package version 5.57.0
Package release 1.1
Package architecture i586
Package type rpm
Category Development/Libraries/KDE
Homepage https://www.kde.org
License LGPL-2.1-or-later
Maintainer -
Download size 26.97 KB
Installed size 22.93 KB
This library provides primitives to interface with pseudo terminal devices
as well as a KProcess derived class for running child processes and
communicating with them using a pty.

Alternatives

Package Version Architecture Repository
kpty-devel-5.58.0git.20190413T100132~fb6cae3-24.4.x86_64.rpm 5.58.0git.20190413T100132~fb6cae3 x86_64 KDE Frameworks Unstable
kpty-devel-5.58.0git.20190413T100132~fb6cae3-24.4.i586.rpm 5.58.0git.20190413T100132~fb6cae3 i586 KDE Frameworks Unstable
kpty-devel-5.57.0-161.2.x86_64.rpm 5.57.0 x86_64 KDE Frameworks 5
kpty-devel-5.57.0-161.2.i586.rpm 5.57.0 i586 KDE Frameworks 5
kpty-devel-5.57.0-1.1.x86_64.rpm 5.57.0 x86_64 openSUSE Oss
kpty-devel - - -

Requires

Name Value
cmake(Qt5Core) >= 5.6.0
extra-cmake-modules -
kcoreaddons-devel >= 5.57
libKF5Pty5 = 5.57.0

Provides

Name Value
cmake(KF5Pty) = 5.57.0
kpty-devel = 5.57.0-1.1
kpty-devel(x86-32) = 5.57.0-1.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package kpty-devel-5.57.0-1.1.i586.rpm
Source Package kpty-5.57.0-1.1.src.rpm

Install Howto

Install kpty-devel rpm package:

# zypper install kpty-devel

Files

Path
/usr/include/KF5/kpty_version.h
/usr/include/KF5/KPty/KPty
/usr/include/KF5/KPty/KPtyDevice
/usr/include/KF5/KPty/KPtyProcess
/usr/include/KF5/KPty/kpty.h
/usr/include/KF5/KPty/kpty_export.h
/usr/include/KF5/KPty/kptydevice.h
/usr/include/KF5/KPty/kptyprocess.h
/usr/lib/libKF5Pty.so
/usr/lib/cmake/KF5Pty/KF5PtyConfig.cmake
/usr/lib/cmake/KF5Pty/KF5PtyConfigVersion.cmake
/usr/lib/cmake/KF5Pty/KF5PtyTargets-none.cmake
/usr/lib/cmake/KF5Pty/KF5PtyTargets.cmake
/usr/lib/qt5/mkspecs/modules/qt_KPty.pri

Changelog

2019-04-14 - lbeltrame@kde.org
- Update to 5.57.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.57.0.php
- Changes since 5.56.0:
* make it compile without foreach
2019-03-10 - lbeltrame@kde.org
- Update to 5.56.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.56.0.php
- Changes since 5.55.0:
* Remove not necessary virtual keyword
2019-02-15 - alarrosa@suse.com
- Downgrade the Qt version requirement to build with 5.9
2019-02-10 - lbeltrame@kde.org
- Update to 5.55.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.55.0.php
- Changes since 5.54.0:
* KPty: Delete copy constructor and assignment operator
* Fix struct/class mismatch
2019-01-14 - lbeltrame@kde.org
- Update to 5.54.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.54.0.php
- Changes since 5.53.0:
* No code changes since 5.53.0
2018-12-11 - Jan Engelhardt <jengelh@inai.de>
- Use noun phrase in summary.
2018-12-09 - lbeltrame@kde.org
- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* No code changes since 5.52.0
2018-11-11 - lbeltrame@kde.org
- Update to 5.52.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.52.0.php
- Changes since 5.51.0:
* No code changes since 5.51.0
2018-10-16 - Luca Beltrame <lbeltrame@kde.org>
- Run spec-cleaner
2018-10-15 - lbeltrame@kde.org
- Update to 5.51.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.51.0.php
- Changes since 5.50.0:
* Fix KPtyPrivate to be a class, not struct, as wanted by Q_DECLARE_PRIVATE

See Also

Package Description
kqtquickcharts-19.04.0-1.1.i586.rpm Plugin to render beautiful and interactive graphs
kqtquickcharts-19.04.0-1.1.x86_64.rpm Plugin to render beautiful and interactive graphs
kraft-0.82-2.4.i586.rpm KDE software to manage office documents in the office
kraft-0.82-2.4.x86_64.rpm KDE software to manage office documents in the office
krandr-4.11.22-17.1.i586.rpm KDE Screen management tools
krandr-4.11.22-17.1.x86_64.rpm KDE Screen management tools
krb5-1.17-1.1.i586.rpm MIT Kerberos5 implementation
krb5-1.17-1.1.x86_64.rpm MIT Kerberos5 implementation
krb5-32bit-1.17-1.1.x86_64.rpm MIT Kerberos5 implementation
krb5-auth-dialog-3.26.1-3.3.i586.rpm Kerberos 5 ticket monitoring tray applet
krb5-auth-dialog-3.26.1-3.3.x86_64.rpm Kerberos 5 ticket monitoring tray applet
krb5-auth-dialog-lang-3.26.1-3.3.noarch.rpm Translations for package krb5-auth-dialog
krb5-client-1.17-1.1.i586.rpm Client programs of the MIT Kerberos5 implementation
krb5-client-1.17-1.1.x86_64.rpm Client programs of the MIT Kerberos5 implementation
krb5-devel-1.17-1.1.i586.rpm Development files for MIT Kerberos5
Advertisement
Advertisement